Failed to build container. base-image

Options
longhowlam
longhowlam Partner, Registered Posts: 24 Partner

HI all,

On a linux machine in GCP I installed dataiku 6.0.2 when I try to build the the base image I get an error.

I issue the command:

./dataikudir/bin/dssadmin build-container-exec-base-image -r 0

and after a while I get the error:

Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-hu2WqI/zipp/You are using pip version 8.1.2, however version 20.0.2 is available.You should consider upgrading via the 'pip install --upgrade pip' command.The command '/bin/sh -c build/install-python-packages.sh pip' returned a non-zero code: 1

This was working in the 6.01 and 6.0.0 versions, any ideas?

Regards, Longhow

Best Answer

  • Clément_Stenac
    Clément_Stenac Dataiker, Dataiku DSS Core Designer Posts: 753 Dataiker
    Answer ✓
    Options

    Hi,

    Some updates were pushed to the upstream Python mirrors that require adaptations to the way the image is built (in other words, your 6.0.0 and 6.0.1 don't work anymore).

    This was done in 6.0.3 so upgrading to the latest (6.0.4 currently) will fix that.

Answers

Setup Info
    Tags
      Help me…